\name{pkgStatus-class}
\docType{class}
\alias{pkgStatus-class}
\alias{pkgStatus}
\alias{package}
\alias{found}
\alias{updated}
\alias{URL}
\alias{URL,pkgStatus-method}
\alias{found,pkgStatus-method}
\alias{package,pkgStatus-method}
\alias{pkgVersion,pkgStatus-method}
\alias{show,pkgStatus-method}
\alias{updated,pkgStatus-method}

\title{Class "pkgStatus", maintains download status of a package}
\description{This class is used during an update/install/etc to maintain
  current download status for a package - whether it was found, updated, etc.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("pkgStatus", ...)}.
}
\section{Slots}{
  \describe{
    \item{\code{package}:}{Object of class \code{"character"} The
      package name}
    \item{\code{found}:}{Object of class \code{"logical"} Whether or not
    the packages was found in a repository}
    \item{\code{updated}:}{Object of class \code{"logical"} Whether or
      not the package was downloaded}
    \item{\code{url}:}{Object of class \code{"character"} The URL of the
    repository}
    \item{\code{pkgVersion}:}{Object of class \code{"VersionNumber"} The
    version of the package}
  }
}
\section{Methods}{
  \describe{
    \item{show}{Defines a summary of information for the package}
    \item{package}{Retrieves the package name}
    \item{found}{Retrieves the found slot}
    \item{updated}{Retrieves the updated slot}
    \item{URL}{Retrieves the URL slot}
    \item{pkgVersion}{Retrieves the pkgVersion slot}
  }
}
\author{Jeff Gentry}
\seealso{\code{\link{pkgStatusList}}}
\examples{
##---- Should be DIRECTLY executable !! ----
}
\keyword{classes}
